Main Page Packages Class Hierarchy Compound List File List Compound Members

# documenttypegetdoctype Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| documenttypegetdoctype (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getName()" method contains the name of the DTD.

Retrieve the Document Type for this document and examine the string returned by the "getName()" method. It should be set to "staff".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-B63ED1A31 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1844763134

Definition at line 44 of file documenttypegetdoctype.java.

## Constructor & Destructor Documentation

documenttypegetdoctype::documenttypegetdoctype | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 46 of file documenttypegetdoctype.java.
    00047  {
    00048       super(factory);
    00049
    00050    }

## Member Function Documentation

String documenttypegetdoctype::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 62 of file documenttypegetdoctype.java.
    00062                                 {
    00063       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/documenttypegetdoctype";
    00064    }

void documenttypegetdoctype::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 65 of file documenttypegetdoctype.java. References DOMTestCase::doMain().
    00065                                           {
    00066         DOMTestCase.doMain(documenttypegetdoctype.class,args);
    00067    }

void documenttypegetdoctype::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 52 of file documenttypegetdoctype.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00052                                                     {
    00053       Document doc;
    00054       DocumentType docType;
    00055       String name;
    00056       doc = load("staff");
    00057       docType = doc.getDoctype();
    00058       name = docType.getName();
    00059       assertEquals("documenttypeGetDocTypeAssert","staff",name);
    00060
    00061    }

The documentation for this class was generated from the following file:

- documenttypegetdoctype.java